Debian Debian-France Debian-Facile Debian-fr.org Forum-Debian.fr Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#26 27-05-2022 23:48:39

cherbe
Membre
Lieu : Lorraine
Distrib. : Debian 9.13 (x86-64)
Noyau : 4.9.0-15-amd64
(G)UI : Cinnamon 3.2.7
Inscription : 27-04-2021
Site Web

Re : démarrage lent

ubub a écrit :

sudo apt update


peut être, pour mettre à jour le sources.list


Fait, faut-il faire autre chose ?

Hors ligne

#27 28-05-2022 09:53:28

Debian Alain
Membre
Lieu : Bretagne
Distrib. : unstable sid / bullseye (stable)
Noyau : Linux sid 5.18.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : démarrage lent

tu as refait ton sources , c' est très bien .
tu as mis à jour tes dépôts , parfait .

tu as  fait la m.a.j. des paquets ?

sudo apt update

m.a.j. des dépôts


sudo apt upgrade

mise à jour des paquets


sudo apt full-upgrade

mise à jour des paquets avec nettoyage et suppression si nécessaire  


lsb_release -a

 quelle distribution ?



dans le cas  d'une (re) installation du systeme (comme ici)
la mise à jour des paquets peut être volumineuse et très longue .
surtout sur un disque mécanique .

amicalement

alain .

coyotus.png

Dernière modification par Debian Alain (28-05-2022 09:55:15)

Hors ligne

#28 28-05-2022 13:28:58

cherbe
Membre
Lieu : Lorraine
Distrib. : Debian 9.13 (x86-64)
Noyau : 4.9.0-15-amd64
(G)UI : Cinnamon 3.2.7
Inscription : 27-04-2021
Site Web

Re : démarrage lent

Entre temps, je suis allé sur la page "Nvidia Optimus" et j'ai suivi le tuto.
Voici le résultat de

sudo apt upgrade

avec des erreurs :


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait      
Calcul de la mise à jour... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
1 partiellement installés ou enlevés.
Après cette opération, 0 o d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] O
dpkg: avertissement: parsing file '/var/lib/dpkg/status' near line 89572 package
 'tomtomsportsconnect':
 missing 'Maintainer' field
Paramétrage de nvidia-kernel-dkms (460.91.03-1) ...
Removing old nvidia-current-460.91.03 DKMS files...
Deleting module nvidia-current-460.91.03 completely from the DKMS tree.
Loading new nvidia-current-460.91.03 DKMS files...
Building for 5.17.0-2-amd64
Building initial module for 5.17.0-2-amd64
Error! Bad return status for module build on kernel: 5.17.0-2-amd64 (x86_64)
Consult /var/lib/dkms/nvidia-current/460.91.03/build/make.log for more informati
on.
dpkg: erreur de traitement du paquet nvidia-kernel-dkms (--configure) :
 installed nvidia-kernel-dkms package post-installation script subprocess return
ed error exit status 10
Des erreurs ont été rencontrées pendant l'exécution :
 nvidia-kernel-dkms
E: Sub-process /usr/bin/dpkg returned an error code (1)

 

Hors ligne

#29 28-05-2022 13:45:29

Debian Alain
Membre
Lieu : Bretagne
Distrib. : unstable sid / bullseye (stable)
Noyau : Linux sid 5.18.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : démarrage lent

c' est ce que je craignais : downgrade impossible .

l'erreur que tu as  faite :
tu as rajouté la ligne des dépôts sid dans ton sources (à l'origine)
sans créer de fichier préférences .

ce qui fait que tu as  passé de bullseye à bookworm / sid sans t'en rendre compte .

tu es maintenant en rolling release et le downgrade vers bullseye est impossible .
sauf à moins de  tout casser .

si tu veux à tout prix revenir à bullseye , tu dois tout réinstaller  depuis zéro .
avec la bonne clé usb de boot .

si tu veux rester sous sid , dis le moi . y a peut être une chance mais c'est pas sûr .

amicalement ,

alain .

coyotus.png

curiosité ,  que donne : ?

apt policy linux-image-amd64 linux-headers-amd64

poste le retour

Dernière modification par Debian Alain (28-05-2022 14:02:31)

Hors ligne

#30 28-05-2022 14:29:54

cherbe
Membre
Lieu : Lorraine
Distrib. : Debian 9.13 (x86-64)
Noyau : 4.9.0-15-amd64
(G)UI : Cinnamon 3.2.7
Inscription : 27-04-2021
Site Web

Re : démarrage lent

Jevvais rester en SID, pour l'instant en tous cas; puisque ça fonctionne
Résultat de

apt policy linux-image-amd64 linux-headers-amd64



linux-image-amd64:
  Installé : 5.17.6-1+b1
  Candidat : 5.17.6-1+b1
 Table de version :
 *** 5.17.6-1+b1 100
        100 /var/lib/dpkg/status
     5.16.12-1~bpo11+1 100
        100 http://deb.debian.org/debian bullseye-backports/main amd64 Packages
     5.10.113-1 500
        500 http://deb.debian.org/debian-security bullseye-security/main amd64 Packages
     5.10.106-1 500
        500 http://deb.debian.org/debian bullseye/main amd64 Packages
linux-headers-amd64:
  Installé : 5.17.6-1+b1
  Candidat : 5.17.6-1+b1
 Table de version :
 *** 5.17.6-1+b1 100
        100 /var/lib/dpkg/status
     5.16.12-1~bpo11+1 100
        100 http://deb.debian.org/debian bullseye-backports/main amd64 Packages
     5.10.113-1 500
        500 http://deb.debian.org/debian-security bullseye-security/main amd64 Packages
     5.10.106-1 500
        500 http://deb.debian.org/debian bullseye/main amd64 Packages

 

Hors ligne

#31 28-05-2022 14:35:56

Debian Alain
Membre
Lieu : Bretagne
Distrib. : unstable sid / bullseye (stable)
Noyau : Linux sid 5.18.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : démarrage lent

essaies ceci  :

sudo apt install --reinstall -t bullseye linux-image-amd64 linux-headers-amd64

installation du kernel de bullseye


sudo dpkg -l | grep -iE "linux-image-|linux-headers-"


et poste pour verification . j'espère que çà va passer ...



amicalement ,

alain .

coyotus.png

Dernière modification par Debian Alain (28-05-2022 14:56:08)

Hors ligne

#32 28-05-2022 16:03:43

cherbe
Membre
Lieu : Lorraine
Distrib. : Debian 9.13 (x86-64)
Noyau : 4.9.0-15-amd64
(G)UI : Cinnamon 3.2.7
Inscription : 27-04-2021
Site Web

Re : démarrage lent

sudo apt install --reinstall -t bullseye linux-image-amd64 linux-headers-amd64



Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait      
La réinstallation de linux-headers-amd64 est impossible, il ne peut pas être téléchargé.
La réinstallation de linux-image-amd64 est impossible, il ne peut pas être téléchargé.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
1 partiellement installés ou enlevés.
Après cette opération, 0 o d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] O
dpkg: avertissement: parsing file '/var/lib/dpkg/status' near line 89572 package 'tomtomsportsconnect':
 missing 'Maintainer' field
Paramétrage de nvidia-kernel-dkms (460.91.03-1) ...
Removing old nvidia-current-460.91.03 DKMS files...
Deleting module nvidia-current-460.91.03 completely from the DKMS tree.
Loading new nvidia-current-460.91.03 DKMS files...
Building for 5.17.0-2-amd64
Building initial module for 5.17.0-2-amd64
Error! Bad return status for module build on kernel: 5.17.0-2-amd64 (x86_64)
Consult /var/lib/dkms/nvidia-current/460.91.03/build/make.log for more information.
dpkg: erreur de traitement du paquet nvidia-kernel-dkms (--configure) :
 installed nvidia-kernel-dkms package post-installation script subprocess returned error exit status 10
Des erreurs ont été rencontrées pendant l'exécution :
 nvidia-kernel-dkms
E: Sub-process /usr/bin/dpkg returned an error code (1)
 



J'ai malgré tout exécuté

sudo dpkg -l | grep -iE "linux-image-|linux-headers-"



pkg-query: avertissement: parsing file '/var/lib/dpkg/status' near line 89572 package 'tomtomsportsconnect':
 missing 'Maintainer' field
ii  linux-headers-5.10.0-9-amd64                     5.10.70-1                             amd64        Header files for Linux 5.10.0-9-amd64
ii  linux-headers-5.10.0-9-common                    5.10.70-1                             all          Common header files for Linux 5.10.0-9
ii  linux-headers-5.17.0-1-amd64                     5.17.3-1                              amd64        Header files for Linux 5.17.0-1-amd64
ii  linux-headers-5.17.0-1-common                    5.17.3-1                              all          Common header files for Linux 5.17.0-1
ii  linux-headers-5.17.0-2-amd64                     5.17.6-1+b1                           amd64        Header files for Linux 5.17.0-2-amd64
ii  linux-headers-5.17.0-2-common                    5.17.6-1                              all          Common header files for Linux 5.17.0-2
ii  linux-headers-amd64                              5.17.6-1+b1                           amd64        Header files for Linux amd64 configuration (meta-package)
rc  linux-image-5.10.0-10-amd64                      5.10.84-1                             amd64        Linux 5.10 for 64-bit PCs (signed)
rc  linux-image-5.10.0-11-amd64                      5.10.92-2                             amd64        Linux 5.10 for 64-bit PCs (signed)
rc  linux-image-5.10.0-12-amd64                      5.10.103-1                            amd64        Linux 5.10 for 64-bit PCs (signed)
rc  linux-image-5.10.0-13-amd64                      5.10.106-1                            amd64        Linux 5.10 for 64-bit PCs (signed)
rc  linux-image-5.10.0-14-amd64                      5.10.113-1                            amd64        Linux 5.10 for 64-bit PCs (signed)
ii  linux-image-5.10.0-9-amd64                       5.10.70-1                             amd64        Linux 5.10 for 64-bit PCs (signed)
ii  linux-image-5.17.0-1-amd64                       5.17.3-1                              amd64        Linux 5.17 for 64-bit PCs (signed)
ii  linux-image-5.17.0-2-amd64                       5.17.6-1+b1                           amd64        Linux 5.17 for 64-bit PCs (signed)
ii  linux-image-amd64                                5.17.6-1+b1                           amd64        Linux for 64-bit PCs (meta-package)
christian@debian11:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Debian
Description:  Debian GNU/Linux bookworm/sid
Release:  11-updates
Codename: n/a

 


Je ne suis pas sûr d'avoir donné le résultat de

apt policy linux-image-amd64 linux-headers-amd64



linux-image-amd64:
  Installé : 5.17.6-1+b1
  Candidat : 5.17.6-1+b1
 Table de version :
 *** 5.17.6-1+b1 100
        100 /var/lib/dpkg/status
     5.16.12-1~bpo11+1 100
        100 http://deb.debian.org/debian bullseye-backports/main amd64 Packages
     5.10.113-1 500
        500 http://deb.debian.org/debian-security bullseye-security/main amd64 Packages
     5.10.106-1 500
        500 http://deb.debian.org/debian bullseye/main amd64 Packages
linux-headers-amd64:
  Installé : 5.17.6-1+b1
  Candidat : 5.17.6-1+b1
 Table de version :
 *** 5.17.6-1+b1 100
        100 /var/lib/dpkg/status
     5.16.12-1~bpo11+1 100
        100 http://deb.debian.org/debian bullseye-backports/main amd64 Packages
     5.10.113-1 500
        500 http://deb.debian.org/debian-security bullseye-security/main amd64 Packages
     5.10.106-1 500
        500 http://deb.debian.org/debian bullseye/main amd64 Packages

 

Hors ligne

#33 28-05-2022 16:33:21

Debian Alain
Membre
Lieu : Bretagne
Distrib. : unstable sid / bullseye (stable)
Noyau : Linux sid 5.18.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : démarrage lent

donc , il n'y a pas moyen de downgrader ta config .

essaies de remettre sid .

cat /etc/apt/sources.list <<EOF
    # testing
    deb http://deb.debian.org/debian/ testing main contrib non-free
    # dépôt sécurity testing
    deb http://deb.debian.org/debian-security/ testing-security/updates main contrib non-free
    # unstable
    deb http://deb.debian.org/debian/ unstable main contrib non-free
    # experimental
    deb http://deb.debian.org/debian/ experimental main contrib non-free

EOF
 



rm -rf /etc/apt/preferences.d/*.pref



cat > /etc/apt/preferences.d/sid-sans-testing.pref <<EOF
Package: *
Pin: release n=bullseye
Pin-Priority: 100

Package: *
Pin: release a=stable  
Pin-Priority: 100

Package: *
Pin: release n=bookworm  
Pin-Priority: 100

Package: *
Pin: release a=testing
Pin-Priority: 100

EOF



verifications :

ls /etc/apt/preferences.d/

poste le retour


inxi -r

retournera tes sources



si tout est bon :

sudo apt update

mise à jour des depôts


apt policy

poste le retour , pour verification


sudo apt install --reinstall linux-image-amd64 linux-headers-amd64

mise à jour du noyau


sudo apt upgrade

mise à jour des paquets


sudo apt full-upgrade

fin de la mise à jour des paquets


lsb_release -a

quelle distribution ? (normalement superflu)



sudo reboot


uname -a

le kernel doit être mis à jour en 5.17.0-3

Dernière modification par Debian Alain (28-05-2022 17:45:59)

Hors ligne

#34 28-05-2022 18:14:26

phlinux
Membre
Distrib. : Buster
Noyau : 5.10
(G)UI : Openbox (+Rox+Feh)
Inscription : 10-05-2009

Re : démarrage lent

Bjr,

Sauf si les règles ont changé, le fichier "preferences" me semble inutile sous sid

Pages perso : feh, omegat, udisks, passerelle, schroot vraiment transparent

Hors ligne

#35 28-05-2022 18:20:48

cherbe
Membre
Lieu : Lorraine
Distrib. : Debian 9.13 (x86-64)
Noyau : 4.9.0-15-amd64
(G)UI : Cinnamon 3.2.7
Inscription : 27-04-2021
Site Web

Re : démarrage lent

J'ai copié les commandes et leurs résultats dans un fichier puis rebooté. Je ne me souviens plus lesquelles ont été passées en root et lesquelles en user mais j'ai toujours respecté tes prescriptions :

ls /etc/apt/preferences.d/


sid-sans-testing.pref



apt policy


 Fichiers du paquet :
 100 /var/lib/dpkg/status
     release a=now
 100 http://dl.google.com/linux/earth/deb stable/main amd64 Packages
     release v=1.0,o=Google LLC,a=stable,n=stable,l=Google,c=main,b=amd64
     origin dl.google.com
 500 http://deb.debian.org/debian-security bullseye-security/main i386 Packages
     release v=11,o=Debian,a=stable-security,n=bullseye-security,l=Debian-Security,c=main,b=i386
     origin deb.debian.org
 500 http://deb.debian.org/debian-security bullseye-security/main amd64 Packages
     release v=11,o=Debian,a=stable-security,n=bullseye-security,l=Debian-Security,c=main,b=amd64
     origin deb.debian.org
 100 http://deb.debian.org/debian bullseye-backports/non-free i386 Packages
     release o=Debian Backports,a=bullseye-backports,n=bullseye-backports,l=Debian Backports,c=non-free,b=i386
     origin deb.debian.org
 100 http://deb.debian.org/debian bullseye-backports/non-free amd64 Packages
     release o=Debian Backports,a=bullseye-backports,n=bullseye-backports,l=Debian Backports,c=non-free,b=amd64
     origin deb.debian.org
 100 http://deb.debian.org/debian bullseye-backports/contrib i386 Packages
     release o=Debian Backports,a=bullseye-backports,n=bullseye-backports,l=Debian Backports,c=contrib,b=i386
     origin deb.debian.org
 100 http://deb.debian.org/debian bullseye-backports/contrib amd64 Packages
     release o=Debian Backports,a=bullseye-backports,n=bullseye-backports,l=Debian Backports,c=contrib,b=amd64
     origin deb.debian.org
 100 http://deb.debian.org/debian bullseye-backports/main i386 Packages
     release o=Debian Backports,a=bullseye-backports,n=bullseye-backports,l=Debian Backports,c=main,b=i386
     origin deb.debian.org
 100 http://deb.debian.org/debian bullseye-backports/main amd64 Packages
     release o=Debian Backports,a=bullseye-backports,n=bullseye-backports,l=Debian Backports,c=main,b=amd64
     origin deb.debian.org
 500 http://deb.debian.org/debian bullseye-updates/main i386 Packages
     release v=11-updates,o=Debian,a=stable-updates,n=bullseye-updates,l=Debian,c=main,b=i386
     origin deb.debian.org
 500 http://deb.debian.org/debian bullseye-updates/main amd64 Packages
     release v=11-updates,o=Debian,a=stable-updates,n=bullseye-updates,l=Debian,c=main,b=amd64
     origin deb.debian.org
 100 http://deb.debian.org/debian bullseye/non-free i386 Packages
     release v=11.3,o=Debian,a=stable,n=bullseye,l=Debian,c=non-free,b=i386
     origin deb.debian.org
 100 http://deb.debian.org/debian bullseye/non-free amd64 Packages
     release v=11.3,o=Debian,a=stable,n=bullseye,l=Debian,c=non-free,b=amd64
     origin deb.debian.org
 100 http://deb.debian.org/debian bullseye/contrib i386 Packages
     release v=11.3,o=Debian,a=stable,n=bullseye,l=Debian,c=contrib,b=i386
     origin deb.debian.org
 100 http://deb.debian.org/debian bullseye/contrib amd64 Packages
     release v=11.3,o=Debian,a=stable,n=bullseye,l=Debian,c=contrib,b=amd64
     origin deb.debian.org
 100 http://deb.debian.org/debian bullseye/main i386 Packages
     release v=11.3,o=Debian,a=stable,n=bullseye,l=Debian,c=main,b=i386
     origin deb.debian.org
 100 http://deb.debian.org/debian bullseye/main amd64 Packages
     release v=11.3,o=Debian,a=stable,n=bullseye,l=Debian,c=main,b=amd64
     origin deb.debian.org
Paquets épinglés :



lsb_release -a



No LSB modules are available.
Distributor ID: Debian
Description:  Debian GNU/Linux bookworm/sid
Release:  11-updates
Codename: n/a
 

Hors ligne

#36 28-05-2022 18:34:52

Debian Alain
Membre
Lieu : Bretagne
Distrib. : unstable sid / bullseye (stable)
Noyau : Linux sid 5.18.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : démarrage lent

j'ai fait une faute de frappe , cherbe .

lance les  comme elles sont écrites .
n'aie pas peur de faire des copier coller à la souris dans le terminal .

recommence comme suit :

cat > /etc/apt/sources.list <<EOF
    # testing
    deb http://deb.debian.org/debian/ testing main contrib non-free
    # dépôt sécurity testing
    deb http://deb.debian.org/debian-security/ testing-security/updates main contrib non-free
    # unstable
    deb http://deb.debian.org/debian/ unstable main contrib non-free
    # experimental
    deb http://deb.debian.org/debian/ experimental main contrib non-free

EOF


 



rm -rf /etc/apt/preferences.d/*.pref



cat > /etc/apt/preferences.d/sid-sans-testing.pref <<EOF
Package: *
Pin: release n=bullseye
Pin-Priority: 100

Package: *
Pin: release a=stable  
Pin-Priority: 100

Package: *
Pin: release n=bullseye-updates
Pin-Priority: 100

Package: *
Pin: release a=stable-updates
Pin-Priority: 100

Package: *
Pin: release n=bullseye-security
Pin-Priority: 100

Package: *
Pin: release a=stable-security
Pin-Priority: 100

Package: *
Pin: release n=bookworm  
Pin-Priority: 100

Package: *
Pin: release a=testing
Pin-Priority: 100

EOF


 



sudo apt update



inxi -r



apt policy


commence par çà . on verra pour la suite ...
n'oublie pas de poster le retour .

Dernière modification par Debian Alain (28-05-2022 18:43:20)

Hors ligne

#37 28-05-2022 18:41:30

cherbe
Membre
Lieu : Lorraine
Distrib. : Debian 9.13 (x86-64)
Noyau : 4.9.0-15-amd64
(G)UI : Cinnamon 3.2.7
Inscription : 27-04-2021
Site Web

Re : démarrage lent

apt policy



Fichiers du paquet :
 100 /var/lib/dpkg/status
     release a=now
 100 http://dl.google.com/linux/earth/deb stable/main amd64 Packages
     release v=1.0,o=Google LLC,a=stable,n=stable,l=Google,c=main,b=amd64
     origin dl.google.com
   1 http://deb.debian.org/debian experimental/non-free i386 Packages
     release o=Debian,a=experimental,n=experimental,l=Debian,c=non-free,b=i386
     origin deb.debian.org
   1 http://deb.debian.org/debian experimental/non-free amd64 Packages
     release o=Debian,a=experimental,n=experimental,l=Debian,c=non-free,b=amd64
     origin deb.debian.org
   1 http://deb.debian.org/debian experimental/contrib i386 Packages
     release o=Debian,a=experimental,n=experimental,l=Debian,c=contrib,b=i386
     origin deb.debian.org
   1 http://deb.debian.org/debian experimental/contrib amd64 Packages
     release o=Debian,a=experimental,n=experimental,l=Debian,c=contrib,b=amd64
     origin deb.debian.org
   1 http://deb.debian.org/debian experimental/main i386 Packages
     release o=Debian,a=experimental,n=experimental,l=Debian,c=main,b=i386
     origin deb.debian.org
   1 http://deb.debian.org/debian experimental/main amd64 Packages
     release o=Debian,a=experimental,n=experimental,l=Debian,c=main,b=amd64
     origin deb.debian.org
 500 http://deb.debian.org/debian unstable/non-free i386 Packages
     release o=Debian,a=unstable,n=sid,l=Debian,c=non-free,b=i386
     origin deb.debian.org
 500 http://deb.debian.org/debian unstable/non-free amd64 Packages
     release o=Debian,a=unstable,n=sid,l=Debian,c=non-free,b=amd64
     origin deb.debian.org
 500 http://deb.debian.org/debian unstable/contrib i386 Packages
     release o=Debian,a=unstable,n=sid,l=Debian,c=contrib,b=i386
     origin deb.debian.org
 500 http://deb.debian.org/debian unstable/contrib amd64 Packages
     release o=Debian,a=unstable,n=sid,l=Debian,c=contrib,b=amd64
     origin deb.debian.org
 500 http://deb.debian.org/debian unstable/main i386 Packages
     release o=Debian,a=unstable,n=sid,l=Debian,c=main,b=i386
     origin deb.debian.org
 500 http://deb.debian.org/debian unstable/main amd64 Packages
     release o=Debian,a=unstable,n=sid,l=Debian,c=main,b=amd64
     origin deb.debian.org
 100 http://deb.debian.org/debian testing/non-free i386 Packages
     release o=Debian,a=testing,n=bookworm,l=Debian,c=non-free,b=i386
     origin deb.debian.org
 100 http://deb.debian.org/debian testing/non-free amd64 Packages
     release o=Debian,a=testing,n=bookworm,l=Debian,c=non-free,b=amd64
     origin deb.debian.org
 100 http://deb.debian.org/debian testing/contrib i386 Packages
     release o=Debian,a=testing,n=bookworm,l=Debian,c=contrib,b=i386
     origin deb.debian.org
 100 http://deb.debian.org/debian testing/contrib amd64 Packages
     release o=Debian,a=testing,n=bookworm,l=Debian,c=contrib,b=amd64
     origin deb.debian.org
 100 http://deb.debian.org/debian testing/main i386 Packages
     release o=Debian,a=testing,n=bookworm,l=Debian,c=main,b=i386
     origin deb.debian.org
 100 http://deb.debian.org/debian testing/main amd64 Packages
     release o=Debian,a=testing,n=bookworm,l=Debian,c=main,b=amd64
     origin deb.debian.org
Paquets épinglés :
 

Hors ligne

#38 28-05-2022 18:52:43

Debian Alain
Membre
Lieu : Bretagne
Distrib. : unstable sid / bullseye (stable)
Noyau : Linux sid 5.18.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : démarrage lent

bon , çà çà va .

maintenant :

apt upgrade

mise a jour paquets basique



apt full-upgrade

mise à jour paquets complète



apt install --reinstall linux-image-amd64 linux-headers-amd64

mise à jour mêta paquets kernel



dpkg -l | grep -iE "linux-image-|linux-headers-"

listing des noyaux



reboot

redémarrage



uname -a

quel noyau ?



lsb_release -a

quelle distribution ?



tu dois être en sid , noyau 5.17.0-3



tu fera des tests et tu nous donnera le résultat .

je connais pas tout . je pourrai pas répondre pour tout .

sur certains portables récents ou capricieux , sid est recommandé pour une bonne prise en charge du matériel .

ne sois donc pas  étonné .

si tu as des soucis , j'essaierai d'y répondre .

mais j'ai pas la science infuse .

d'autres que moi maîtrisent beaucoup mieux linux et sont plus à même de t'aider .

amicalement .

alain .

coyotus.png

Dernière modification par Debian Alain (28-05-2022 20:27:18)

Hors ligne

#39 28-05-2022 21:38:19

cherbe
Membre
Lieu : Lorraine
Distrib. : Debian 9.13 (x86-64)
Noyau : 4.9.0-15-amd64
(G)UI : Cinnamon 3.2.7
Inscription : 27-04-2021
Site Web

Re : démarrage lent

Ce fut très long avec quelques messages d'erreur.
Pendant le boot, j'ai vu passer en rouge :
Nvidia persistance daemon

uname -a



Linux debian11 5.17.0-3-amd64 #1 SMP PREEMPT Debian 5.17.11-1 (2022-05-26) x86_64 GNU/Linux
 


lsb_release -a



No LSB modules are available.
Distributor ID: Debian
Description:  Debian GNU/Linux bookworm/sid
Release:  unstable
Codename: sid
 


Merci beaucoup pour ton aide, ta patience et tes conseils. En posant la question sur la lenteur, je n'imaginais pas mobiliser autant d’énergie !
Encore une fois MERCI !

Hors ligne

#40 28-05-2022 21:50:54

Debian Alain
Membre
Lieu : Bretagne
Distrib. : unstable sid / bullseye (stable)
Noyau : Linux sid 5.18.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : démarrage lent

c'est pas  fini .

j' ai pas  envie de remonter  au début du fil , donc je te pose la  question ici :

lspci -nnk | grep -iE "VGA|3D|Display" -A3


glxinfo -B



après je te laisse tranquille .
tu n'as pas d 'ennui avec tes cartes graphiques ?
tu as fait un petit check up de  ton systeme ?

amicalement .

alain .

coyotus.png

Dernière modification par Debian Alain (28-05-2022 21:53:25)

Hors ligne

#41 28-05-2022 21:56:28

cherbe
Membre
Lieu : Lorraine
Distrib. : Debian 9.13 (x86-64)
Noyau : 4.9.0-15-amd64
(G)UI : Cinnamon 3.2.7
Inscription : 27-04-2021
Site Web

Re : démarrage lent

Je n'ai rien remarqué de particulier à propos des cartes graphiques.

lspci -nnk | grep -iE "VGA|3D|Display" -A3



00:02.0 VGA compatible controller [0300]: Intel Corporation Haswell-ULT Integrated Graphics Controller [8086:0a16] (rev 0b)
  DeviceName: Intel(R) HD Graphics Family
  Subsystem: Hewlett-Packard Company Haswell-ULT Integrated Graphics Controller [103c:818b]
  Kernel driver in use: i915
--
0a:00.0 3D controller [0302]: NVIDIA Corporation GM108M [GeForce 940M] [10de:1347] (rev ff)
  DeviceName: NVIDIA GeForce 940M
  Kernel modules: nvidia
 


glxinfo -B



name of display: :0
display: :0  screen: 0
direct rendering: Yes
Extended renderer info (GLX_MESA_query_renderer):
    Vendor: Intel (0x8086)
    Device: Mesa Intel(R) HD Graphics 4400 (HSW GT2) (0xa16)
    Version: 22.0.4
    Accelerated: yes
    Video memory: 1536MB
    Unified memory: yes
    Preferred profile: core (0x1)
    Max core profile version: 4.6
    Max compat profile version: 3.1
    Max GLES1 profile version: 1.1
    Max GLES[23] profile version: 3.2
OpenGL vendor string: Intel
OpenGL renderer string: Mesa Intel(R) HD Graphics 4400 (HSW GT2)
OpenGL core profile version string: 4.6 (Core Profile) Mesa 22.0.4
OpenGL core profile shading language version string: 4.60
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile

OpenGL version string: 3.1 Mesa 22.0.4
OpenGL shading language version string: 1.40
OpenGL context flags: (none)

OpenGL ES profile version string: OpenGL ES 3.2 Mesa 22.0.4
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.20
 

Hors ligne

#42 28-05-2022 22:09:27

Debian Alain
Membre
Lieu : Bretagne
Distrib. : unstable sid / bullseye (stable)
Noyau : Linux sid 5.18.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : démarrage lent

peut être ceci :

optirun glxinfo -B


optirun glxgears


glxgears


<echap> pour quitter glxgears  (<esc> si tu préfères )



amicalement ,

alain .

coyotus.png

Dernière modification par Debian Alain (28-05-2022 22:11:27)

Hors ligne

#43 28-05-2022 22:27:08

cherbe
Membre
Lieu : Lorraine
Distrib. : Debian 9.13 (x86-64)
Noyau : 4.9.0-15-amd64
(G)UI : Cinnamon 3.2.7
Inscription : 27-04-2021
Site Web

Re : démarrage lent

glxinfo -B



name of display: :0
display: :0  screen: 0
direct rendering: Yes
Extended renderer info (GLX_MESA_query_renderer):
    Vendor: Intel (0x8086)
    Device: Mesa Intel(R) HD Graphics 4400 (HSW GT2) (0xa16)
    Version: 22.0.4
    Accelerated: yes
    Video memory: 1536MB
    Unified memory: yes
    Preferred profile: core (0x1)
    Max core profile version: 4.6
    Max compat profile version: 3.1
    Max GLES1 profile version: 1.1
    Max GLES[23] profile version: 3.2
OpenGL vendor string: Intel
OpenGL renderer string: Mesa Intel(R) HD Graphics 4400 (HSW GT2)
OpenGL core profile version string: 4.6 (Core Profile) Mesa 22.0.4
OpenGL core profile shading language version string: 4.60
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile

OpenGL version string: 3.1 Mesa 22.0.4
OpenGL shading language version string: 1.40
OpenGL context flags: (none)

OpenGL ES profile version string: OpenGL ES 3.2 Mesa 22.0.4
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.20
 


optirun glxinfo -B



[ 3246.406339] [ERROR]Cannot access secondary GPU - error: [XORG] (EE) Unable to locate/open config directory: "/etc/bumblebee/xorg.conf.d"

[ 3246.406374] [ERROR]Aborting because fallback start is disabled.
 


optirun glxgears



[ 3270.376458] [ERROR]Cannot access secondary GPU - error: [XORG] (EE) Unable to locate/open config directory: "/etc/bumblebee/xorg.conf.d"

[ 3270.376504] [ERROR]Aborting because fallback start is disabled.

 


glxgears



Running synchronized to the vertical refresh.  The framerate should be
approximately the same as the monitor refresh rate.
311 frames in 5.0 seconds = 62.030 FPS
301 frames in 5.0 seconds = 60.005 FPS
301 frames in 5.0 seconds = 60.010 FPS
301 frames in 5.0 seconds = 60.006 FPS
301 frames in 5.0 seconds = 60.006 FPS
 

Hors ligne

#44 28-05-2022 22:34:47

Debian Alain
Membre
Lieu : Bretagne
Distrib. : unstable sid / bullseye (stable)
Noyau : Linux sid 5.18.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : démarrage lent

pour ta carte nvidia , on va regarder ce que tu as comme paquets d'installé .

dpkg -l nvidia*


poste le retour



amicalement ,

alain .

coyotus.png

Hors ligne

#45 28-05-2022 22:44:24

cherbe
Membre
Lieu : Lorraine
Distrib. : Debian 9.13 (x86-64)
Noyau : 4.9.0-15-amd64
(G)UI : Cinnamon 3.2.7
Inscription : 27-04-2021
Site Web

Re : démarrage lent

dpkg -l nvidia*



Souhait=inconnU/Installé/suppRimé/Purgé/H=à garder
| État=Non/Installé/fichier-Config/dépaqUeté/échec-conFig/H=semi-installé/W=attend-traitement-déclenchements
|/ Err?=(aucune)/besoin Réinstallation (État,Err: majuscule=mauvais)
||/ Nom                                      Version      Architecture Description
+++-========================================-============-============-======================================================================
ii  nvidia-alternative                       470.129.06-3 amd64        allows the selection of NVIDIA as GLX provider
un  nvidia-alternative--kmod-alias           <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-alternative-legacy-173xx          <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-alternative-legacy-71xx           <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-alternative-legacy-96xx           <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-cuda-mps                          <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-current                           <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-current-updates                   <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-driver                            <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-driver-any                        <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-driver-bin-450.191.01             <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-driver-binary                     <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-driver-libs-any                   <aucune>     <aucune>     (aucune description n'est disponible)
ii  nvidia-egl-common                        470.129.06-3 amd64        NVIDIA binary EGL driver - common files
un  nvidia-egl-wayland-common                <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-firmware-470.129.06               <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-glx-any                           <aucune>     <aucune>     (aucune description n'est disponible)
ii  nvidia-installer-cleanup                 20220217+1   amd64        cleanup after driver installation with the nvidia-installer
un  nvidia-kernel-470.129.06                 <aucune>     <aucune>     (aucune description n'est disponible)
ii  nvidia-kernel-common                     20220217+1   amd64        NVIDIA binary kernel module support files
ii  nvidia-kernel-dkms                       470.129.06-3 amd64        NVIDIA binary kernel module DKMS source
un  nvidia-kernel-source                     <aucune>     <aucune>     (aucune description n'est disponible)
ii  nvidia-kernel-support                    470.129.06-3 amd64        NVIDIA binary kernel module support files
un  nvidia-kernel-support--v1                <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-kernel-support-any                <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-legacy-304xx-alternative          <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-legacy-304xx-driver               <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-legacy-304xx-kernel-support       <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-legacy-340xx-alternative          <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-legacy-340xx-kernel-support       <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-legacy-340xx-vdpau-driver         <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-legacy-390xx-driver               <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-legacy-390xx-kernel-support       <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-legacy-390xx-nonglvnd-vulkan-icd  <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-legacy-390xx-vdpau-driver         <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-legacy-390xx-vulkan-icd           <aucune>     <aucune>     (aucune description n'est disponible)
ii  nvidia-legacy-check                      470.129.06-3 amd64        check for NVIDIA GPUs requiring a legacy driver
un  nvidia-libopencl1-dev                    <aucune>     <aucune>     (aucune description n'est disponible)
ii  nvidia-modprobe                          510.68.02-1  amd64        utility to load NVIDIA kernel modules and create device nodes
un  nvidia-nonglvnd-vulkan-common            <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-nonglvnd-vulkan-icd               <aucune>     <aucune>     (aucune description n'est disponible)
ii  nvidia-persistenced                      470.103.01-2 amd64        daemon to maintain persistent software state in the NVIDIA driver
ii  nvidia-primus-vk-common                  1.6.1-2      amd64        thin wrapper for the NVIDIA binary Vulkan ICD (common files)
ii  nvidia-primus-vk-wrapper:amd64           1.6.1-2      amd64        thin wrapper for using the NVIDIA binary Vulkan ICD with bumblebee
ii  nvidia-primus-vk-wrapper:i386            1.6.1-2      i386         thin wrapper for using the NVIDIA binary Vulkan ICD with bumblebee
un  nvidia-settings-gtk-450.119.03           <aucune>     <aucune>     (aucune description n'est disponible)
ii  nvidia-settings-tesla-450                450.119.03-2 amd64        tool for configuring the NVIDIA graphics driver (Tesla 450 version)
ii  nvidia-smi                               470.129.06-3 amd64        NVIDIA System Management Interface
ii  nvidia-support                           20220217+1   amd64        NVIDIA binary graphics driver support files
un  nvidia-tesla-418-driver                  <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-tesla-418-kernel-support          <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-tesla-418-nonglvnd-vulkan-icd     <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-tesla-418-vdpau-driver            <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-tesla-418-vulkan-icd              <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-tesla-440-kernel-support          <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-tesla-440-vdpau-driver            <aucune>     <aucune>     (aucune description n'est disponible)
ii  nvidia-tesla-450-alternative             450.191.01-1 amd64        allows the selection of NVIDIA as GLX provider (Tesla 450 version)
un  nvidia-tesla-450-alternative--kmod-alias <aucune>     <aucune>     (aucune description n'est disponible)
ii  nvidia-tesla-450-driver                  450.191.01-1 amd64        NVIDIA metapackage (Tesla 450 version)
ii  nvidia-tesla-450-driver-bin              450.191.01-1 amd64        NVIDIA driver support binaries (Tesla 450 version)
ii  nvidia-tesla-450-driver-libs:amd64       450.191.01-1 amd64        NVIDIA metapackage (OpenGL/GLX/EGL/GLES libraries) (Tesla 450 version)
un  nvidia-tesla-450-driver-libs-nonglvnd    <aucune>     <aucune>     (aucune description n'est disponible)
ii  nvidia-tesla-450-egl-icd:amd64           450.191.01-1 amd64        NVIDIA EGL installable client driver (ICD)
un  nvidia-tesla-450-kernel-450.191.01       <aucune>     <aucune>     (aucune description n'est disponible)
ii  nvidia-tesla-450-kernel-dkms             450.191.01-1 amd64        NVIDIA binary kernel module DKMS source (Tesla 450 version)
un  nvidia-tesla-450-kernel-source           <aucune>     <aucune>     (aucune description n'est disponible)
ii  nvidia-tesla-450-kernel-support          450.191.01-1 amd64        NVIDIA binary kernel module support files (Tesla 450 version)
un  nvidia-tesla-450-kernel-support--v1      <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-tesla-450-nonglvnd-vulkan-icd     <aucune>     <aucune>     (aucune description n'est disponible)
ii  nvidia-tesla-450-smi                     450.191.01-1 amd64        NVIDIA System Management Interface (Tesla 450 version)
ii  nvidia-tesla-450-vdpau-driver:amd64      450.191.01-1 amd64        Video Decode and Presentation API for Unix - NVIDIA driver (Tesla 450)
ii  nvidia-tesla-450-vulkan-icd:amd64        450.191.01-1 amd64        NVIDIA Vulkan installable client driver (ICD) (Tesla 450 version)
un  nvidia-tesla-460-kernel-support          <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-tesla-470-driver                  <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-tesla-470-kernel-support          <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-tesla-470-vulkan-icd              <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-tesla-510-driver                  <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-tesla-510-vulkan-icd              <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-tesla-alternative                 <aucune>     <aucune>     (aucune description n'est disponible)
un  nvidia-vdpau-driver                      <aucune>     <aucune>     (aucune description n'est disponible)
ii  nvidia-vulkan-common                     470.129.06-3 amd64        NVIDIA Vulkan driver - common files
ii  nvidia-vulkan-icd:amd64                  470.129.06-3 amd64        NVIDIA Vulkan installable client driver (ICD)
ii  nvidia-vulkan-icd:i386                   470.129.06-3 i386         NVIDIA Vulkan installable client driver (ICD)
un  nvidia-vulkan-icd-any                    <aucune>     <aucune>     (aucune description n'est disponible)

 

Hors ligne

#46 28-05-2022 23:22:31

Debian Alain
Membre
Lieu : Bretagne
Distrib. : unstable sid / bullseye (stable)
Noyau : Linux sid 5.18.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : démarrage lent

bon , je vais me lancer dans quelque chose de pas facile .
te décortiquer un tuto .

tu vas  suivre scrupuleusement les commandes que je te donne .

apt purge nvidia-*


lsmod | egrep -i "nouveau|vga_switcheroo"


si les deux modules sont présents :

modprobe -r nouveau


modprobe -r vga_switcheroo


rends toi dans  Téléchargements :

cd ~/Téléchargements


-- télécharge virtualGL --
puis installe le :

dpkg -i virtualgl_*.deb


installation de bumblebee :

apt install primus-libs-ia32


apt install --reinstall mesa-utils


apt install --reinstall bumblebee-nvidia primus libglx-nvidia0


sudo adduser $USER bumblebee


s'il n'y a pas d'erreur , redémarre et :

reboot


optirun glxinfo -B


optirun glxgears



et poste les retours . merci .

amicalement ,

alain .

coyotus.png

Dernière modification par Debian Alain (29-05-2022 08:40:54)

Hors ligne

#47 29-05-2022 00:01:50

cherbe
Membre
Lieu : Lorraine
Distrib. : Debian 9.13 (x86-64)
Noyau : 4.9.0-15-amd64
(G)UI : Cinnamon 3.2.7
Inscription : 27-04-2021
Site Web

Re : démarrage lent

dpkg -i virtualgl_*.deb
 



dpkg: erreur: cannot access archive 'virtualgl_*.deb': Aucun fichier ou dossier de ce type
 


Je ne comprends pas cette commande, je n'ai pas vu passer de téléchargement ?

Hors ligne

#48 29-05-2022 08:49:13

Debian Alain
Membre
Lieu : Bretagne
Distrib. : unstable sid / bullseye (stable)
Noyau : Linux sid 5.18.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : démarrage lent

clique sur le lien suivant et télécharge virtualgl :

-- télécharge virtualGL --

puis :

dpkg -i virtualgl_*.deb



et enfin reprends le fil des commandes , post #46,  7 ème commande , installation de bumblebee .

sudo fonctionne bien chez  toi ?
pas de souci avec ?

tu vas en avoir besoin quand ce sera le moment ,
il faudra à tout prix que tu fasses la commande suivante en user (simple utilisateur) donc  avec sudo :

sudo adduser $USER bumblebee



amicalement .

alain .

coyotus.png

Dernière modification par Debian Alain (29-05-2022 09:53:31)

Hors ligne

#49 29-05-2022 09:57:32

cherbe
Membre
Lieu : Lorraine
Distrib. : Debian 9.13 (x86-64)
Noyau : 4.9.0-15-amd64
(G)UI : Cinnamon 3.2.7
Inscription : 27-04-2021
Site Web

Re : démarrage lent

Oups, les yeux rivés sur les commandes à exécuter, je n'avais pas vu l'url de téléchargement.
Excuse-moi

sudo dpkg -i virtualgl_3.0.1_amd64.deb



Sélection du paquet virtualgl précédemment désélectionné.
(Lecture de la base de données... 430285 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de virtualgl_3.0.1_amd64.deb ...
Dépaquetage de virtualgl (3.0.1-20220516) ...
dpkg: des problèmes de dépendances empêchent la configuration de virtualgl :
 virtualgl dépend de libegl1-mesa:amd64 ; cependant :
  Le paquet libegl1-mesa n'est pas installé.

dpkg: erreur de traitement du paquet virtualgl (--install) :
 problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l'exécution :
 virtualgl
 


qu'est-ce que je fais, je continue malgré tout ?

Hors ligne

#50 29-05-2022 10:46:02

Debian Alain
Membre
Lieu : Bretagne
Distrib. : unstable sid / bullseye (stable)
Noyau : Linux sid 5.18.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : démarrage lent

sudo apt install --reinstall libegl1-mesa && sudo dpkg -i virtualgl_3.0.1_amd64.deb


essaies avec çà . normalement , çà devrait passer .



ensuite , tu continues .
croise les doigts très fort .
bumblebee existe depuis longtemps .

amicalement ,

alain .

coyotus.png

Dernière modification par Debian Alain (29-05-2022 10:50:03)

Hors ligne

Pied de page des forums